Get Payment Details
curl --request POST \
--url https://api.coinvoyage.io/v2/pay-orders/{payorder_id}/payment-details \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"payment_rail": "FIAT",
"source_currency": {
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"chain_id": 30000000000001
}
}
'import requests
url = "https://api.coinvoyage.io/v2/pay-orders/{payorder_id}/payment-details"
payload = {
"payment_rail": "FIAT",
"source_currency": {
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"chain_id": 30000000000001
}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_rail: 'FIAT',
source_currency: {
address: 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
chain_id: 30000000000001
}
})
};
fetch('https://api.coinvoyage.io/v2/pay-orders/{payorder_id}/payment-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"destination_tx_hash": "0x5678...efgh",
"dst": {
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"amount_out_minimum": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"chain_id": 30000000000001,
"currency_amount": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"decimals": 6,
"id": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"image_uri": "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png",
"name": "USD Coin",
"price_usd": 1,
"ticker": "USDC"
},
"estimated_duration_seconds": 120,
"expires_at": "2025-11-03T12:30:00Z",
"fee_tx_hash": "0xfee1...fee2",
"payment_rail": "CRYPTO",
"receiving_address": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"refund_address": "7xVt9ovu6g6E4gvz9K9eV4kxY7yQZ8h3kZ2vY8xZ7xVt",
"refund_tx_hash": "0x9abc...ijkl",
"refunded_reason": "execution failed: provider error",
"source_tx_hash": "0x1234...abcd",
"src": {
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"amount_out_minimum": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"base": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"chain_id": 30000000000001,
"currency_amount": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"decimals": 6,
"fees": {
"custom_fee": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"protocol_fee": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"relayer_fee": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"total_fee": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
}
},
"gas": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"id": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"image_uri": "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png",
"name": "USD Coin",
"price_usd": 1,
"ticker": "USDC",
"total": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
}
},
"steps": [
{
"deposit_address": "5xVt9ovu6g6E4gvz9K9eV4kxY7yQZ8h3kZ2vY8xZ5xVt",
"kind": "deposit",
"rail": "CRYPTO"
}
]
},
"payorder_id": "cuidjkhg3e289y74u5t6v",
"status": "AWAITING_PAYMENT"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}pay-orders
Get Payment Details
Get payment details for a PayOrder
POST
/
pay-orders
/
{payorder_id}
/
payment-details
Get Payment Details
Authorizations
Headers
API key for authentication
Path Parameters
Body
application/json
Response
Payment details
Example:
"cuidjkhg3e289y74u5t6v"
Available options:
PENDING, EXPIRED, FAILED, AWAITING_PAYMENT, OPTIMISTIC_CONFIRMED, AWAITING_CONFIRMATION, EXECUTING_ORDER, COMPLETED, REFUNDED, PARTIAL_PAYMENT Example:
"AWAITING_PAYMENT"
Show child attributes
Show child attributes
Example:
{
"destination_tx_hash": "0x5678...efgh",
"dst": {
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"amount_out_minimum": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"chain_id": 30000000000001,
"currency_amount": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"decimals": 6,
"id": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"image_uri": "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png",
"name": "USD Coin",
"price_usd": 1,
"ticker": "USDC"
},
"estimated_duration_seconds": 120,
"expires_at": "2025-11-03T12:30:00Z",
"fee_tx_hash": "0xfee1...fee2",
"payment_rail": "CRYPTO",
"receiving_address": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"refund_address": "7xVt9ovu6g6E4gvz9K9eV4kxY7yQZ8h3kZ2vY8xZ7xVt",
"refund_tx_hash": "0x9abc...ijkl",
"refunded_reason": "execution failed: provider error",
"source_tx_hash": "0x1234...abcd",
"src": {
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"amount_out_minimum": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"base": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"chain_id": 30000000000001,
"currency_amount": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"decimals": 6,
"fees": {
"custom_fee": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"protocol_fee": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"relayer_fee": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"total_fee": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
}
},
"gas": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
},
"id": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"image_uri": "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png",
"name": "USD Coin",
"price_usd": 1,
"ticker": "USDC",
"total": {
"raw_amount": "2400000",
"ui_amount": 2.4,
"ui_amount_display": "2.4",
"value_usd": 123.45
}
},
"steps": [
{
"deposit_address": "5xVt9ovu6g6E4gvz9K9eV4kxY7yQZ8h3kZ2vY8xZ5xVt",
"kind": "deposit",
"rail": "CRYPTO"
}
]
}
Was this page helpful?
⌘I